Forum Sketchup Artlantis Archicad
Vous souhaitez réagir à ce message ? Créez un compte en quelques clics ou connectez-vous pour continuer.
Galerie


Recherche plugin SU slection par critères Empty
Ton bloc notes
Derniers sujets
» [ BLENDER ] Photogrammétrie et Blender (cours en Anglais $)
par tenrev Aujourd'hui à 21:25

» [ SKETCHUP composants dynamiques ] REDRAW() un ensemble de composants ?
par tenrev Aujourd'hui à 14:33

» [ ARCHICAD ] [ Pointcloud ] [ e57 ] [ ScantoBIM ]
par Christophe Fortineau Aujourd'hui à 13:43

» [ SKETCHUP plugins ] sj_RedrawCollection
par tenrev Aujourd'hui à 12:09

» [ ENSCAPE ] Astuce pour visionner les rendus mono panoramiques 3D 360°
par Pilou Hier à 16:59

» [ TWINMOTION ]sortie de la nouvelle version 2022 .1
par charlie974 Hier à 12:31

» [ AUTRES LOGICIELS ] Le rustique TinkerCad!
par Pilou Hier à 11:20

» [ WIP ] Rendu Loft
par REGIS Hier à 0:05

» [ SKETCHUP plugins ] SKIMP
par tenrev Dim 5 Déc 2021 - 23:37

» [LUMION]Probleme pour redimensionner les objets Autocad importer sur Lumion
par Jospin Kapwa Dim 5 Déc 2021 - 20:57

» [ SKETCHUP généralité ] création d'un assemblage pour porfile builder
par youyou40 Dim 5 Déc 2021 - 9:34

» [ BLENDER ] Blender 3 sorti !
par Pilou Sam 4 Déc 2021 - 15:39

» [ SKETCHUP plugins ] sj_AddDCAttribut création d'attribut sur une sélection d'instances de composants
par LAROCHELLE Sam 4 Déc 2021 - 14:53

» [ ARCHICAD ] gnnnnnn plantage !!! :( ac25 V4013
par freroil Ven 3 Déc 2021 - 16:10

» [ PRESENTATION ]
par Samuel Tallet Ven 3 Déc 2021 - 9:30

» [ SKETCHUP tutos ] Matériaux, Textures...pour versions différentes!
par Pilou Jeu 2 Déc 2021 - 12:42

» [ ENSCAPE ] Sortie de Enscape 3.2
par JDD Mer 1 Déc 2021 - 22:51

» [ SKETCHUP vray ] Rendu Vray - Certains objets en noir
par Lionscov Mer 1 Déc 2021 - 7:00

» [ SKETCHUP plugins ] sj_AddDCFunctions
par tenrev Lun 29 Nov 2021 - 11:39

» [ AUTRES LOGICIELS ] bibliothèques d'objets ArchitecPC
par Coulou Lun 29 Nov 2021 - 9:59

» [ SKETCHUP plugins ] Move Align Me by Fredo
par Pilou Ven 26 Nov 2021 - 17:50

» [ SKETCHUP composants dynamiques ] démo de composants dynamiques
par Pilou Ven 26 Nov 2021 - 11:53

» [ TWINMOTION ] résolution image de sortie
par Pistou Jeu 25 Nov 2021 - 15:34

» [ SKETCHUP plugins ] Skatter 2 disponible
par Pilou Jeu 25 Nov 2021 - 12:21

» [ SKETCHUP plugins ] Black friday -30 % à - 50% sur des plugins sketchup
par tenrev Mer 24 Nov 2021 - 13:13

» [ FORUM ] Compteur de visite d'un lien
par simjoubert Lun 22 Nov 2021 - 12:38

» [ SKETCHUP composants dynamiques ] placement composant dynamique
par tenrev Lun 22 Nov 2021 - 12:08

» [ AUTRES LOGICIELS ] SPline En ligne
par Pilou Ven 19 Nov 2021 - 17:37

» [AUTRES LOGICIELS] Moi3D beta 4.0 - 64 bits Mac / PC 27 Octobre 2020
par Pilou Ven 19 Nov 2021 - 10:14

» [ OBJETS ET BILLBOARDS ] 90 modèles de plantes 3D en téléchargement gratuit chez Maxtree
par jerryvento Jeu 18 Nov 2021 - 15:20

» [ UNREAL ENGINE ] Mise à jour de metahuman-creator en ligne pour Unreal
par tenrev Jeu 18 Nov 2021 - 9:57

» [ CORONA ] Corona 8 prévu en début d'année 2022
par tenrev Jeu 18 Nov 2021 - 9:05

» [ UNREAL ENGINE ] mise à jour de Faceware Studio 1.5 capture de mouvement facial
par tenrev Jeu 18 Nov 2021 - 9:03

» [ BLENDER ] Modificateur sur plusieurs maillages
par Farkas Mar 16 Nov 2021 - 21:59

» [ UNREAL ENGINE ] Tuto en français par Jack ???
par jerryvento Mar 16 Nov 2021 - 15:04

Recherche plugin SU slection par critères

Voir le sujet précédent Voir le sujet suivant Aller en bas

fraid
fraid
Moulin à parole
Moulin à parole
Masculin Date d'inscription : 02/02/2010
Nombre de messages : 433
Points : 751
Age : 36
Localisation : Rhone Alpes
Emploi : Infographiste Be Paysages

Messagefraid Jeu 28 Juil 2016 - 17:13

Bonjour à tous

Je suis à la recherche d'un plugin Sketchup capable de réaliser des selections par critères, type d'objets, tailles, couleurs, noms, calques,...
Est ce que cela existe? Je viens de tester "Selection Toy" by thomthom avec beaucoup d'otpions que j'ai du mal à faire fonctionner, j'ai surtout pas assez pris le temps de comprendre.
Bref, dans Vector Works il existe cet outil, appellé baguette magic qui permet de faire ces selections, c'est trop pratique.
Un exemple, j'importe souvent des fichiers 3D dans SU, au format 3ds, dwg, ifc.... Une fois importer, j'obtiens generalement un ensemble de groupes eclatés sans calque.
Le but étant de trier ce fichier plus facilement, virer ce qui ne m'interresse pas, et finalement l'alléger.

Merci
Fraid

-------------------------------------------------------------------------------------------------------------------------



Vectorworks 2013 - SketchUp Pro 8 - Artlantis 4 - Photoshop CS 3



Windows 7  64 bits - Intel Xeon CPU E5-2620 0 @ 2.00GHz (12 CPUs) - 16 Go - NVDIA Quaddro 2000
Pilou
Pilou
V.I.P.
V.I.P.
Masculin Date d'inscription : 30/05/2014
Nombre de messages : 6572
Points : 14729
http://moiscript.weebly.com/

MessagePilou Jeu 28 Juil 2016 - 19:03

Avec Selection Toy, ou peut déjà sélectionner pas mal de chose qui sont sur l'écran!  content
Sinon
Layer Manager by Didier Bur

Iselect by Renderiza

S4U Select By SUforyou

Select By Attribute, Select By Material, Select by Polygon, SelectFaces By Area By By Sdmitch
Selection by Size by Sdmitch

tous les scripts sont de TIG à mettre dans la console Ruby!
la plus grande   (plus grand segment d'une sélection)
d=0;s=Sketchup.active_model.selection;a=s.to_a;q=nil;a.each{|e|(q=e;d=e.length) if e.class==Sketchup::Edge and e.length>=d};s.clear;s.add(q);puts d;q

La plus petite  content
d=0;s=Sketchup.active_model.selection;a=s.to_a;q=nil;a.each{|e|d=e.length if e.class==Sketchup::Edge and e.length>d};a.each{|e|(q=e;d=e.length) if e.class==Sketchup::Edge and e.length<=d};s.clear;s.add(q);puts d;q

Toutes les plus grandes s'il y a des égalités  Rolling Eyes
d=0;s=Sketchup.active_model.selection;a=s.to_a;q=[];a.each{|e|d=e.length if e.class==Sketchup::Edge and e.length>d};a.each{|e|q<

Toutes les plus petites s'il y a des égalités sourire
d=0;s=Sketchup.active_model.selection;a=s.to_a;q=[];a.each{|e|d=e.length if e.class==Sketchup::Edge and e.length>d};a.each{|e|d=e.length if e.class==Sketchup::Edge and e.length<=d};a.each{|e|q<

-------------------------------------------------------------------------------------------------------------------------
Petit site Galerie
Est beau ce qui plaît sans concept!
fraid
fraid
Moulin à parole
Moulin à parole
Masculin Date d'inscription : 02/02/2010
Nombre de messages : 433
Points : 751
Age : 36
Localisation : Rhone Alpes
Emploi : Infographiste Be Paysages

Messagefraid Sam 30 Juil 2016 - 18:54

Hello Pilou
Merci pour commencer.
Le plug sélection Toy ne répond pas tout à fait à ce que que je souhaite faire.
Je vais jeter un œil sur les autres que tu me proposes.

-------------------------------------------------------------------------------------------------------------------------



Vectorworks 2013 - SketchUp Pro 8 - Artlantis 4 - Photoshop CS 3



Windows 7  64 bits - Intel Xeon CPU E5-2620 0 @ 2.00GHz (12 CPUs) - 16 Go - NVDIA Quaddro 2000

Voir le sujet précédent Voir le sujet suivant Revenir en haut

Créer un compte ou se connecter pour répondre

Vous devez être membre pour répondre.

S'enregistrer

Rejoignez notre communauté ! C'est facile !


S'enregistrer

Connexion

Vous êtes déjà membre ? Aucun soucis, cliquez ici pour vous connecter.


Connexion

 
Permission de ce forum:
Vous ne pouvez pas répondre aux sujets dans ce forum